/*global define*/
define([
    'require',
    'underscore',
    'sandbox/model',
    '../collections/rows'
], function (require, _, Model, RowCollection) {

    'use strict';

    return Model.extend({

        defaults: {
            slots: 12,
            offset: 0,
            rows: [],
            content: null
        },

        constructor: function () {
            RowCollection = require('../collections/rows');
            Model.apply(this, arguments);
        },

        set: function (attributes, options) {
            if (attributes.rows !== undefined) {
                attributes.rows = new RowCollection(attributes.rows);
            }
            return Model.prototype.set.call(this, attributes, options);
        },

        toJSON: function () {
            var deep = {rows: []};
            this.get('rows').each(function (grid) {
                deep.rows.push(grid.toJSON());
            });
            return _.extend({}, this.attributes, deep);
        },

        validate: function (attrs) {
            if (attrs.content && attrs.rows && !_.isEmpty(attrs.rows)) {
                return 'a column with content may not have rows';
            }
        }

    });

});
