/*global define*/
define(['underscore', 'sandbox/model', '../collections/rows'], function (_, Model, RowCollection) {
    'use strict';
    return Model.extend({

        defaults: {
            'name': 'Page',
            'rows': []
        },

        set: function (attributes, options) {
            if (attributes.rows !== undefined) {
                attributes.rows = new RowCollection(attributes.rows);
            }
            return Model.prototype.set.call(this, attributes, options);
        },

        addContent: function (content) {
            this.get('rows').add({
                columns: [{content: content}]
            });
        },

        toJSON: function () {
            var deep = {rows: []};
            this.get('rows').each(function (grid) {
                deep.rows.push(grid.toJSON());
            });
            return _.extend({}, this.attributes, deep);
        }

    });
});
