/*global define*/
define(['underscore', 'sandbox/model', '../collections/columns'], function (_, Model, ColumnCollection) {

    'use strict';

    var RowModel = Model.extend({

        defaults: {
            columns: []
        },

        set: function (attributes, options) {
            if (attributes.columns !== undefined && !(attributes.columns instanceof ColumnCollection)) {
                attributes.columns = new ColumnCollection(attributes.columns);
            }
            return Model.prototype.set.call(this, attributes, options);
        },

        toJSON: function () {
            var deep = {columns: []};
            this.get('columns').each(function (grid) {
                deep.columns.push(grid.toJSON());
            });
            return _.extend({}, this.attributes, deep);
        }

    });

    return RowModel;

});
