/*global define*/
define([
    'sandbox/event',
    'backbone.marionette',
    '../templates/views/device/device',
    '../constants/device'
], function (vent, Marionette, template, device) {

    'use strict';

    var constants = device;

    return Marionette.ItemView.extend({

        tagName: 'div',

        template: template,

        device: constants.LAPTOP,

        attributes: {
            'data-view': 'device'
        },

        events: {
            'click #go-mobile': 'goMobile',
            'click #go-tablet': 'goTablet',
            'click #go-laptop': 'goLaptop'
        },

        setDevice: function (device) {
            if (this.device === device) {
                return false;
            }

            this.device = device;
            return true;
        },

        goMobile: function () {
            if (this.setDevice(constants.MOBILE)) {
                vent.trigger('device', this.device);
            }
        },

        goTablet: function () {
            if (this.setDevice(constants.TABLET)) {
                vent.trigger('device', this.device);
            }
        },

        goLaptop: function () {
            if (this.setDevice(constants.LAPTOP)) {
                vent.trigger('device', this.device);
            }
        }
    });

});
