/*global define*/
define(['sandbox/event', 'sandbox/dom', './widget'], function (vent, $, WidgetView) {

    'use strict';

    return WidgetView.extend({

        // Adds a row with a certain number of equally wide columns to the page.
        // Allowed number of columns are 1, 2, 3, 4, 6 and 12.
        action: function () {
            var numColumns,
                columns,
                i;

            /*global prompt*/
            numColumns = prompt('Enter number of columns: 1, 2, 3, 4, 6 or 12.', '2');
            if (12 % numColumns !== 0) {
                return;
            }

            columns = [];
            for (i = 1; i <= numColumns; i = i + 1) {
                columns.push({
                    slots: 12 / numColumns
                });
            }

            vent.trigger('editor.row:add', {
                columns: columns
            });
        },

        maybedropped: function (event) {
            return $(event.target).is('html');
        }

    });

});
