/*global define*/
define([
    'backbone.marionette',
    'sandbox/event',
    './mouse',
    '../templates/views/widgets/widgetitem'
], function (Marionette, vent, Mouse, template) {

    'use strict';

    var mouse = new Mouse();

    return Marionette.ItemView.extend({

        initialize : function () {
            this.$hoveredEl = null;
            this.hightlightEvent = mouse.hightlightEvent;

            this.listenTo(vent, mouse.lastHoveredEvent, this.onHover);
        },

        app: null,

        objectType: '',

        tagName: 'li',

        template: template,

        attributes: {
            'data-view': 'widgetitem'
        },

        events: {
            'dragstart': 'dragStart'
        },

        // Overwritable placeholder method
        action: function () {
            return;
        },

        addContent: function (data) {
            vent.trigger('editor.content:add', data);
        },

        dragStart: function (e) {
            // Otherwise Firefox won't allow this element
            // to be dragged. Even better, it has to be
            // 'Text' otherwise IE will never let us
            // drop this!
            // http://msdn.microsoft.com/en-us/library/ie/ms536744(v=vs.85).aspx
            e.originalEvent.dataTransfer.setData('Text', 'Sweetie, May I Drag This?');

            vent.trigger('drag:start', this);
        },

        // This function is also passed
        // the `event` object.
        // See `./mouse`.
        onDrop: function (event) {
            event.preventDefault();
            this.action();
        }

    });

});
