/*global define*/
define([
    'require',
    'underscore',
    'backbone.marionette',
    '../views/widget'
], function (require, _, Marionette, WidgetItem) {

    'use strict';

    return Marionette.CollectionView.extend({
        tagName: 'ul',
        className: 'list-buttons',
        attributes: {'data-view': 'widgetbar'},

        itemView: WidgetItem,

        showCollection: function () {
            var that = this,
                widgets = this.collection.map(function (item) {
                    return 'app/views/' + item.get('type');
                });

            require(widgets, function () {

                _.each(arguments, function (ItemView, index) {
                    that.addItemView(that.collection.at(index), ItemView, index);
                });
            });
        },

        itemViewOptions: function () {
            return {
                app: this.app
            };
        },

        initialize: function () {
            this.app = this.options.app;
        }

    });

});
