!function() {
    "use strict";
    require.config({
        packages: [ {
            name: "app",
            location: "./app",
            main: "app.js"
        }, {
            name: "sandbox",
            location: "./sandbox",
            main: "dom.js"
        }, {
            name: "require",
            location: "./require",
            main: "require.js"
        }, {
            name: "jquery",
            location: "./jquery",
            main: "jquery.js"
        }, {
            name: "handlebars",
            location: "./handlebars",
            main: "handlebars.runtime.js"
        }, {
            name: "underscore",
            location: "./underscore",
            main: "underscore.js"
        }, {
            name: "backbone",
            location: "./backbone",
            main: "backbone.js"
        }, {
            name: "backbone.marionette",
            location: "./backbone.marionette",
            main: "backbone.marionette.js"
        }, {
            name: "jasmine",
            location: "./jasmine",
            main: "jasmine.js"
        }, {
            name: "jasmine-jquery",
            location: "./jasmine-jquery",
            main: "jasmine-jquery.js"
        }, {
            name: "jasmine-sinon",
            location: "./jasmine-sinon",
            main: "jasmine-sinon.js"
        }, {
            name: "sinon",
            location: "./sinon",
            main: "sinon.js"
        }, {
            name: "unit",
            location: "./unit"
        } ],
        shim: {
            handlebars: {
                exports: "Handlebars"
            },
            underscore: {
                exports: "_"
            },
            backbone: {
                deps: [ "jquery", "underscore" ],
                exports: "Backbone"
            },
            "backbone.marionette": {
                deps: [ "backbone" ],
                exports: "Backbone.Marionette"
            },
            jasmine: {
                exports: "jasmine"
            },
            "jasmine/jasmine-html": {
                deps: [ "jasmine" ],
                exports: "jasmine"
            },
            "jasmine-jquery": {
                deps: [ "jasmine", "jquery" ],
                exports: "jasmine"
            },
            "jasmine-sinon": {
                deps: [ "jasmine", "sinon" ],
                exports: "jasmine"
            },
            sinon: {
                exports: "sinon"
            }
        },
        config: {
            "app/config": {
                baseUrl: "",
                shopGuid: "test",
                userResource: "/user",
                currentUserId: 2
            }
        },
        deps: [ "require", "jquery", "jasmine/jasmine-html", "jasmine-jquery", "jasmine-sinon", "sinon" ],
        callback: function(require, $, jasmine) {
            var htmlReporter, jasmineEnv = jasmine.getEnv(), specs = [];
            jasmineEnv.updateInterval = 250, htmlReporter = new jasmine.HtmlReporter(), jasmineEnv.addReporter(htmlReporter), 
            jasmineEnv.specFilter = function(spec) {
                return htmlReporter.specFilter(spec);
            }, specs.push("unit/collections/columns.spec"), specs.push("unit/collections/pages.spec"), 
            specs.push("unit/collections/rows.spec"), specs.push("unit/models/column.spec"), 
            specs.push("unit/models/image.spec"), specs.push("unit/models/page.spec"), specs.push("unit/models/row.spec"), 
            specs.push("unit/models/text.spec"), specs.push("unit/sandbox/request.spec"), specs.push("unit/views/device.spec"), 
            specs.push("unit/views/editor.spec"), specs.push("unit/views/outline.spec"), specs.push("unit/views/pagelist.spec"), 
            specs.push("unit/views/pagelistitem.spec"), specs.push("unit/views/mouse.spec"), 
            $(function() {
                require(specs, function() {
                    jasmineEnv.execute();
                });
            });
        }
    });
}();