!function() {
    "use strict";
    require.config({
        packages: [ {
            name: "app",
            location: "./app",
            main: "app.js"
        }, {
            name: "sandbox",
            location: "./sandbox",
            main: "dom.js"
        }, {
            name: "require",
            location: "./require",
            main: "require.js"
        }, {
            name: "jquery",
            location: "./jquery",
            main: "jquery.js"
        }, {
            name: "handlebars",
            location: "./handlebars",
            main: "handlebars.runtime.js"
        }, {
            name: "underscore",
            location: "./underscore",
            main: "underscore.js"
        }, {
            name: "backbone",
            location: "./backbone",
            main: "backbone.js"
        }, {
            name: "backbone.marionette",
            location: "./backbone.marionette",
            main: "backbone.marionette.js"
        }, {
            name: "jasmine",
            location: "./jasmine",
            main: "jasmine.js"
        }, {
            name: "jasmine-jquery",
            location: "./jasmine-jquery",
            main: "jasmine-jquery.js"
        }, {
            name: "jasmine-sinon",
            location: "./jasmine-sinon",
            main: "jasmine-sinon.js"
        }, {
            name: "sinon",
            location: "./sinon",
            main: "sinon.js"
        }, {
            name: "unit",
            location: "./unit"
        } ],
        shim: {
            handlebars: {
                exports: "Handlebars"
            },
            underscore: {
                exports: "_"
            },
            backbone: {
                deps: [ "jquery", "underscore" ],
                exports: "Backbone"
            },
            "backbone.marionette": {
                deps: [ "backbone" ],
                exports: "Backbone.Marionette"
            },
            jasmine: {
                exports: "jasmine"
            },
            "jasmine/jasmine-html": {
                deps: [ "jasmine" ],
                exports: "jasmine"
            },
            "jasmine-jquery": {
                deps: [ "jasmine", "jquery" ],
                exports: "jasmine"
            },
            "jasmine-sinon": {
                deps: [ "jasmine", "sinon" ],
                exports: "jasmine"
            },
            sinon: {
                exports: "sinon"
            }
        },
        deps: [ "app" ],
        callback: function(app) {
            app.start();
        }
    });
}();