/*global define, describe, beforeEach, afterEach, it, expect, jasmine*/
define(['backbone.marionette', 'app/app', 'app/models/user'], function (Marionette, app, UserModel) {

    'use strict';

    describe('App', function () {

        beforeEach(function () {
            this.app = app;
            this.app.start();
        });

        afterEach(function () {
            this.app.closeRegions();
            this.app = null;
        });

        it('should initialize the regions', function () {
            expect(this.app.storefront).toEqual(jasmine.any(Marionette.Region));
            expect(this.app.editortools).toEqual(jasmine.any(Marionette.Region));
            expect(this.app.contenttools).toEqual(jasmine.any(Marionette.Region));
        });

        it('should initialize models namespace', function () {
            expect(this.app.models).toEqual(jasmine.any(Object));
        });

        it('should initialize the current user', function () {
            expect(this.app.models.user).toEqual(jasmine.any(UserModel));
            expect(this.app.models.user.url).toBe('/user/2');
        });

    });

});

