/*global define, describe, beforeEach, afterEach, it, expect, sinon*/
define(['sandbox/request'], function (request) {

    'use strict';

    describe('Sandbox :: Request', function () {
        var mockResponse = 'test';

        beforeEach(function () {
            this.server = sinon.fakeServer.create();

            this.server.respondWith('GET', '/some/path', [200, {
                'Content-Type': 'text/html'
            }, mockResponse]);
        });

        afterEach(function () {
            this.server.restore();
        });

        describe('request()', function () {
            it('should add the base url', function () {
                var response;

                request({
                    url: 'some/path',
                    dataType: 'html',
                    async: false
                }).done(function (html) {
                    response = html;
                });

                this.server.respond();
                expect(response).toBe(mockResponse);
            });
        });

    });
});
